Subject: bug#19909: [PATCH] Error out if with-file-notification=w32 is specified on cygwin

From: Ken Brown <[email-masked]>
Date: Fri, 20 Feb 2015 11:15:18 -0500

On 2/20/2015 10:10 AM, Eli Zaretskii wrote:
>> From: Robert Pluim <[email-masked]>
>> Date: Fri, 20 Feb 2015 15:16:49 +0100
>>
>>> According to the comment in w32notify.c, w32.h is included only for
>>> w32_strerror.  Could you try commenting out the w32.h inclusion, and
>>> instead copy the w32_strerror prototype into w32notify.c?  Does Emacs
>>> compile then as part of the Cygwin-w32 build, and do file
>>> notifications work?  (I don't have Cygwin installed to try that,
>>> sorry.)
>>>
>>
>> No, that doesn't compile. w32notify.c needs (at least)
>> w32_unicode_filenames, filename_to_utf16(), filename_to_ansi() and
>> w32_valid_pointer_p() from w32.c.
>
> Right.  But those problems are quite simple to solve.
>
> Ken, would you like to try to solve them?  I could suggest a patch,
> but it would be 100% untested.

I'm busy with other things at the moment and can't get to it right away. 
  If it's easy for you to suggest a patch, why don't you go ahead, and 
Robert can test it.  Or you can wait a couple weeks until I can look at it.

BTW, file-notification=gfile works fine in the Cygwin-w32 build, so I'm 
not sure there's any need to put a lot of effort into this.

Ken